initial commit

  * Downstream tempest with set of downstream plugins
  * Align to upstream openstack upper-constraints.txt
  * No-auto-magic things, by default.
  * All configs should be **connected** as volumes to container.
  * All preconfigured things, like:
    -create networks
    -create tempest conf
    -add\patch plugin
    should be done in separate steps.
  * Open entrypoint - any customization allowed and could be passed:
    - via cmdline for docker run
    - via SWITCH env variables + new func in entrypoint
  * If needed, any custom scripts could be added, but should be disable by default.

Change-Id: Iec219f3f23f06ee08f7761cf78f478ca0b0ca04f
diff --git a/bin/entrypoint.sh b/bin/entrypoint.sh
new file mode 100755
index 0000000..18c8d80
--- /dev/null
+++ b/bin/entrypoint.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+set -xe
+
+function _info(){
+  set +x
+  echo -e "=== INFO: tempest version:"
+  tempest --version
+  echo -e "=== INFO: installed plugins:"
+  tempest list-plugins
+  echo -e "=== INFO: tempest pip's:"
+  pip freeze |grep -i tempest | sort
+  echo -e "============================"
+  set -x
+}
+
+_info
+exec "$@"